Package com.documentum.registry

# Class DfRegistrySnapshot

java.lang.Object
com.documentum.registry.DfRegistrySnapshot

All Implemented Interfaces:
  `IDfRegistryHandler`

public class DfRegistrySnapshot extends Object implements IDfRegistryHandler
This class serves as snapshot in memory of the registry at the moment before operation started thus allowing replace multiple accesses to registry with much speedier in-memory operation. Operation will update information in this structure as it will update information in registry but no assumption about equvalence of data in this class and in registry should be made.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ROOT_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DfRegistrySnapshot(String registryDump)`
  `DfRegistrySnapshot(String rootName, String registryDump)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DfRegistryKey`
  `getCurrentKey()`
  `String`
  `getCurrentSubkeyFully()`
  `String`
  `getValue(String name)`
  `boolean`
  `isSubKey(String key)`
  `boolean`
  `isValueNamePresent(String name)`
  `boolean`
  `openKey(String key)`
  Attn. openKey doesn't supply current key name in the input so current key name should be added at the beginning
  `void`
  `processEntry(String name, String value)`
  `boolean`
  `processKeys(String[] keys)`
  `void`
  `removeEntry(String name)`
  `void`
  `removeSubkeys()`
  `void`
  `resetToRoot()`
  `void`
  `setValue(String name, String value)`
  `boolean`
  `subKeyExists(String[] keys)`
  `String[]`
  `subkeys()`
  `String`
  `toString()`
  `String[]`
  `values()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ROOT_NAME

    public static final String ROOT_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DfRegistrySnapshot

    public DfRegistrySnapshot(String rootName, String registryDump) throws IOException, DfException
    Throws:
      `IOException`
      `DfException`

  - ### DfRegistrySnapshot

    public DfRegistrySnapshot(String registryDump) throws IOException, DfException
    Throws:
      `IOException`
      `DfException`

- ## Method Details

  - ### processKeys

    public boolean processKeys(String[] keys)
    Specified by:
      `processKeys` in interface `IDfRegistryHandler`

  - ### subKeyExists

    public boolean subKeyExists(String[] keys)

  - ### isSubKey

    public boolean isSubKey(String key)

  - ### processEntry

    public void processEntry(String name, String value)
    Specified by:
      `processEntry` in interface `IDfRegistryHandler`

  - ### removeEntry

    public void removeEntry(String name)

  - ### removeSubkeys

    public void removeSubkeys()

  - ### values

    public String[] values()

  - ### subkeys

    public String[] subkeys()

  - ### isValueNamePresent

    public boolean isValueNamePresent(String name)

  - ### getValue

    public String getValue(String name)

  - ### setValue

    public void setValue(String name, String value)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### openKey

    public boolean openKey(String key)
    Attn. openKey doesn't supply current key name in the input so current key name should be added at the beginning
    Parameters:
      `key` -
    Returns:
      true means some new keys were created and update for file is necessary

  - ### resetToRoot

    public void resetToRoot()

  - ### getCurrentSubkeyFully

    public String getCurrentSubkeyFully()

  - ### getCurrentKey

    public DfRegistryKey getCurrentKey()